<!DOCTYPE html SYSTEM "http://www.thymeleaf.org/dtd/xhtml1-strict-thymeleaf-spring4-4.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">

<head th:replace="header :: copy"></head>

<body>
<div th:each="user : ${overview.users}">
    <div class="card mb-4">
        <div class="card-header">
            Customer ID: <i th:text="${user.id}"></i>
        </div>
        <div class="card-body">
            <table class="table table-sm">
                <thead>
                <tr>
                    <th class="col-4">Name</th>
                    <th class="col-4">Surname</th>
                    <th class="col-4">Balance</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td th:text="${user.name}"></td>
                    <td th:text="${user.surname}"></td>
                    <td th:text="${user.balance}"></td>
                </tr>
                </tbody>
            </table>

            <div th:each="account : ${overview.usersAccounts.get(user.id)}">
                <h5>Account id: <i th:text="${account.id}"></i></h5>

                <table class="table table-striped table-sm">
                    <thead>
                    <tr>
                        <th>Transaction ID</th>
                        <th>Value</th>
                    </tr>
                    </thead>

                    <tbody>
                    <tr th:each="transaction : ${overview.accountsTransactions.get(account.id)}">
                        <td th:text="${transaction.id}"></td>
                        <td th:text="${transaction.value}"></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div th:replace="footer :: copy"></div>
</body>
</html>